#
# spec file for package lprold (Version 3.0.48)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  automake
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         lprold
Copyright:    1983, 1991 The Regents of the University of California.
Group:        System Environment/Daemons
Provides:     lpr print_daemon
Conflicts:    plp lprng cups-client
Autoreqprov:  on
Version:      3.0.48
Release:      408
Summary:      BSD Print Spooling System
Source:       lpr-0.48.tar.gz
Source1:      lprdoc.tgz
Patch:        lpr-0.48.dif
Patch1:       lpr-0.48-secfix.dif
Patch2:       lprm.patch

%description
This is the Linux version of the BSD-compatible printer spooling system.
The lpd binary included in this package expects to find TCP/IP running.

Authors:
--------
    Thomas Roessler <roessler@guug.de>

SuSE series: n

%prep
%setup -n lpr-0.48
tar xvpfz $RPM_SOURCE_DIR/lprdoc.tgz
%patch
%patch1 -p1
%patch2 

%build
%ifarch alpha
# we shouldn't need this with more recent glibc's, but lpq kills remote
# lpd w/o it
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Dgetline=get_line"
%else
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%endif

%install
%ifarch alpha
# we shouldn't need this with more recent glibc's, but lpq kills remote
# lpd w/o it and there seems to be a mistake in lpr's makefiles somewhere
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Dgetline=get_line" DESTDIR=$RPM_BUILD_ROOT install
%else
make DESTDIR=$RPM_BUILD_ROOT install
%endif
make -C SMM.doc
cp -av etc_printcap /etc/printcap
install -m 755 rc.lpd /etc/init.d/lpd
chgrp lp /usr/bin/lpq /usr/bin/lpr /usr/bin/lprm /usr/sbin/lpc
chmod ug+s /usr/bin/lpq /usr/bin/lpr /usr/bin/lprm
chmod g+s /usr/sbin/lpc
mkdir -p /var/adm/fillup-templates
install -m 644 rc.config.lpd /var/adm/fillup-templates/rc.config.lprold
mkdir -p /var/spool/lp1
chown lp.lp /var/spool/lp1
ln -sf /var/run/printer /dev/printer
mkdir -p %{_defaultdocdir}/lprold
cp -a SMM.doc/paper.ps SMM.doc/paper.txt %{_defaultdocdir}/lprold
ln -sf ../../etc/init.d/lpd /usr/sbin/rclpd
ln -sf ../sbin/lpc /usr/bin/lpc
ln -sf ../sbin/lpd /usr/bin/lpd

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.lprold
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.lprold and"
  echo "update by hand."
fi
if [ \( "$1" = "" -o "$1" = "1" \) -a -f etc/printcap.rpmsave ]
then
    mv etc/printcap etc/printcap.$$
    mv etc/printcap.rpmsave etc/printcap
    mv etc/printcap.$$ etc/printcap.rpmorig
fi
if [ -f etc/printcap ]
then
    rm -f `sed -n "/sd=/s/^[^#]*sd=.//p" etc/printcap | sed -e "s+:.*$+/lock+"`
fi
sbin/insserv etc/init.d/lpd
exit 0

%postun
sbin/insserv etc/init.d/

%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%docdir /usr/doc/packages/lprold
%dir /var/spool/lp1
%config(noreplace) /etc/printcap
/usr/sbin/rclpd
%config /etc/init.d/lpd
/usr/bin/lpq
/usr/bin/lpr
/usr/bin/lprm
/usr/bin/lptest
%doc %{_mandir}/man1/lpr.1.gz
%doc %{_mandir}/man1/lpq.1.gz
%doc %{_mandir}/man1/lprm.1.gz
%doc %{_mandir}/man1/lptest.1.gz
%doc %{_mandir}/man5/printcap.5.gz
%doc %{_mandir}/man8/lpc.8.gz
%doc %{_mandir}/man8/lpd.8.gz
%doc %{_mandir}/man8/pac.8.gz
/usr/bin/lpc
/usr/bin/lpd
/usr/sbin/lpc
/usr/sbin/lpd
/usr/sbin/lpf
/usr/sbin/pac
/dev/printer
/var/adm/fillup-templates/rc.config.lprold
%{_defaultdocdir}/lprold

%changelog -n lprold
* Thu Mar 06 2003 - fehr@suse.de
- add security fix for lprm
* Mon Sep 10 2001 - fehr@suse.de
- add security fix from Sebastian Krahmer <krahmer@suse.de>
* Fri Aug 31 2001 - bjacke@suse.de
- conflicts now with cups-client, not cups
* Tue Jul 31 2001 - fehr@suse.de
- remove setuid root from /usr/sbin/lpc (#9548)
* Wed May 16 2001 - fehr@suse.de
- fix pointer-cast-warnings on 64bit archs
* Fri May 04 2001 - fehr@suse.de
- save old printcap as printcap.rpmorig when printcap.rpmsave is
  moved (#7671)
* Sat Apr 21 2001 - kukuk@suse.de
- Only mv printcap.rpmsave if it really exists
* Wed Apr 11 2001 - fehr@suse.de
- copy printcap.rpmsave to printcap in postinstall, thus allowing
  to switch between different spoolers using printcap
* Mon Nov 27 2000 - fehr@suse.de
- change to new startup script scheme
* Fri Nov 17 2000 - fehr@suse.de
- set group tag
* Fri Sep 01 2000 - fehr@suse.de
- add cups to Conflicts: line
* Fri May 19 2000 - fehr@suse.de
- move documentation to /usr/share/doc/packages
* Thu Mar 09 2000 - fehr@suse.de
- always exit postinstall script with 0
* Mon Mar 06 2000 - fehr@suse.de
- put comment before ancient entry in installed printcap
* Thu Mar 02 2000 - fehr@suse.de
- moved man pages to /usr/share/man
* Mon Feb 07 2000 - fehr@suse.de
- socket is now in /var/run instead of /dev
* Fri Jan 21 2000 - fehr@suse.de
- fix another access right problem
* Thu Jan 20 2000 - fehr@suse.de
- add compatiblity link from /usr/bin/lpd to /usr/sbin/lpd
* Mon Jan 10 2000 - fehr@suse.de
- add more security fixes (e.g. IP spoofing)
* Wed Nov 17 1999 - fehr@suse.de
- hopefully final fix for access problems
* Tue Nov 16 1999 - fehr@suse.de
- add chmod and chown in postinstall scripts, ingore uncommented lines
* Fri Nov 05 1999 - fehr@suse.de
- add conflicts "lprng" to spec file
* Tue Nov 02 1999 - fehr@suse.de
- added again rm of lock files
* Sat Oct 30 1999 - bk@suse.de
- removed stopping and starting of lpd in pre/post and the rm of lock files
* Fri Oct 29 1999 - fehr@suse.de
- fix problem with different access rights
* Thu Oct 21 1999 - fehr@suse.de
- use lpr-0.44 as source base
* Mon Sep 20 1999 - ro@suse.de
- added provides print_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - fehr@suse.de
- add man page for lpq to package
* Tue Aug 03 1999 - fehr@suse.de
- add compatibility link for lpc
* Mon Jul 19 1999 - fehr@suse.de
- fix bug that prevents lpr -s from working
* Fri Feb 19 1999 - fehr@suse.de
- additional security fixes
* Wed Feb 03 1999 - werner@suse.de
- Change in lpd.c
* Tue Dec 08 1998 - ro@suse.de
- added rc-link
* Wed Dec 02 1998 - werner@suse.de
- Make it running
-> Use bsdcap.c out of lpr-linux-1.0.0.tar.gz from sunsite.unc.edu
  for a replacement of getcap.c (seems to be bugy).
* Tue Dec 01 1998 - werner@suse.de
- Do not negate __ivaliduser !!
- Change /sbin/init.d/lpd
- Use setpgid() instead of setpgrp()
- Note: this version crashes with glibc-2.0.7+
* Thu Nov 05 1998 - ro@suse.de
- use db_185.h only for glibc-2.1
* Tue Sep 22 1998 - ro@suse.de
- renamed function getline to lpr_getline
- use -lbsd only on libc5
* Tue Apr 21 1998 - fehr@suse.de
- fix bug that allows root access when remote printers are configured
- add link from /dev/printer to /var/run/printer
* Tue Nov 11 1997 - fehr@suse.de
- set gid of spooled file to lp for acces aof apsfilter script
- set default uid to lp
* Wed Oct 29 1997 - fehr@suse.de
- prepare package for automatic build
- changed to linux port of BSD-lpd from Thomas Roessler (version 971027)
* Wed Jun 04 1997 - fehr@suse.de
- fixed bug when reallocating array in common.c
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Fri May 16 1997 - bs@suse.de
- removed *.new -> orig stuff behavior, since is not neded for rpm.
* Wed Mar 19 1997 - fehr@suse.de
- Prevent garbage printed in some error messages
* Mon Jan 13 1997 - fehr@suse.de
- Install man page for lpq also
* Thu Jan 02 1997 - fehr@suse.de
- bug in handling spooldir fixed
- create /var/spool/lp1 i'on installation
- put standard printcap in diff
* Thu Jan 02 1997 - fehr@suse.de
- dont start lpd in background in /sbin/init.d/lpd
* Thu Jan 02 1997 - bs@suse.de
- don't include etc/printcap but etc/printcap.new
- sbin/init.d/lpd added
- fillup etc/rc.config.
